---
title: llarp::layers::platform::AddressMapping

---

# llarp::layers::platform::AddressMapping





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| [flow::FlowInfo](Classes/structllarp_1_1layers_1_1flow_1_1FlowInfo.md) | **[flow_info](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-flow-info)** <br>what we are mapping to remotely  |
| [PlatformAddrRange](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md) | **[src_range](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-src-range)**  |
| [PlatformAddrRange](Classes/structllarp_1_1layers_1_1platform_1_1PlatformAddrRange.md) | **[dst_range](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-dst-range)**  |
| bool | **[is_exit](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md#variable-is-exit)** <br>should we consider this an exit mapping?  |

## Public Attributes Documentation

### variable flow_info

```cpp
flow::FlowInfo flow_info;
```

what we are mapping to remotely 

### variable src_range

```cpp
PlatformAddrRange src_range;
```


### variable dst_range

```cpp
PlatformAddrRange dst_range;
```


### variable is_exit

```cpp
bool is_exit;
```

should we consider this an exit mapping? 

-------------------------------

Updated on 2023-02-24 at 15:57:36 +0000